@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
  --main-white: #f0f0f0;
  --main-red: #be3144;
  --main-blue: #45567d;
  --main-gray: #303841;
  --background: #ffffff;
  --nav-and-header: #007bff;
  --links-and-buttons: #ffa500;
  --hover-higlight: #32cd32;
  --conatainer: #f5f5f5;
  --container-text: #003366;
  --input-placeholder:#C0C0C0;
}
 
.contact-location h1{
color: var(--container-text);
font-weight: bold;
}
.map{
  border-radius: 8px;
}

.map-frame{
  background: var(--conatainer);
}
.location-ul{
  list-style: none;
    padding: 1rem;
    background: var(--conatainer);
}
.location-ul li{
  border: 2px solid #dee2e8 ;
  margin: 1rem;
  border-radius: 5px;
   padding: 0.25rem;
}
.location-ul li h4{
  color: var(--container-text);
}
.fa-location-dot{
  color: var(--links-and-buttons);
}
.map-detail-icon{
  display: none;
}
@media (max-width:900px) {
  .map-frame{
    display: flex;
    flex-direction: column-reverse;
  }
  .location-ul{
    display: flex;
    justify-content: center;
    align-items: center;
     flex-wrap: wrap;
  }
  .location-ul li{
    width: 252px;
  }

}
@media (max-width:600px) {
  iframe{
    width: 365px !important;
    height: 200px;
  }
  .location-ul{
    display: none !important;
  }
  .map-detail-icon{
   display: block; 
  }
  .map-detail-icon i{
    margin: 1rem;
    font-size: 24px;
    color: var(--container-text);
  }
}
@media (max-width:320px) {
  iframe{
    width: 250px !important;
    height: 150px;
  }
}

/* contact us  */
 .contact-us-form{
  background-color: var(--conatainer);
 }
.contact-us-image{
  max-width: 600px;
  
}
.contact-us-image img {
  width: 100%;
   
  object-fit: cover; /* or 'contain' if you prefer */
  height: 500px !important;
  opacity: 0.8;
  filter: grayscale(20%);
  padding: 1rem;
}
 .icon-form{
   
  display: flex;
  justify-content: space-evenly;
   
  flex-direction: column;
  align-items: center;
  width: 100%;
  min-height: 600px !important;

 }
 .contact-icon{
  font-size: 32px;
  padding: 1rem;
 }
 .form{
  display: flex;
  flex-direction: column;
   
  padding: 1rem;
  width: 100%;
 }
 form{
  display: flex;
  flex-direction: column;
  justify-content: center;
 }
  
 .name-number input{
  padding: 1rem;
  margin: 0.2rem auto;
  width: 100%;
  outline: none;
  border-radius: 10px;
  border: 1px solid #dee2e8;
 }
 .mail{
  width: 100%;
  margin: 0.5rem auto;
 }
 .mail input{
  width: 100%;
  padding: 1rem;
  outline: none;
  border-radius: 10px;
  border: 1px solid #dee2e8;
 }
 .text-btn{
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin: 0.3rem auto;
 }
 .text-btn textarea{
  width: 100%;
  height: 100px;
  outline: none;
  border-radius: 10px;
  border: 1px solid #dee2e8;
 }
 .text-btn textarea::placeholder{
  padding: 0.2rem;
 }
 .text-btn button{
  width: 25%;
  padding: 0.5rem;
  margin: .5rem;
  border: 1px solid #dee2e8;
  outline: none;
  border-radius: 10px;
  color: var(--links-and-buttons);
  background-color: var(--background);
 }
 .text-btn button i{
  color: var(--nav-and-header); 
  
 }
 

 /* responsive for contact us page */
 @media (max-width:1050px) {
 
  .contact-us-form{
    flex-direction: column;
  }
  .icon-form{
    position: relative;
    bottom: 7rem;
    padding: 1.5rem;
    background: var(--conatainer);
  }
  .contact-us-image img{
    height: 400px !important;
  }

  
  
 }

 @media (max-width:450px) {
  .text-btn button{
    width: 50%;
  }
 }

 